- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Examples
- Try it!
Lists all the token auth users for a token based auth enabled cluster.
HTTP request
GET https://redis.googleapis.com/v1/{parent=projects/*/locations/*/clusters/*}/tokenAuthUsers
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent resource that this token based auth user will be listed for. Format: projects/{project}/locations/{location}/clusters/{cluster} |
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. The maximum number of items to return. If not specified, a default value of 1000 will be used by the service. Regardless of the pageSize value, the response may include a partial list and a caller should only rely on response's The maximum value is 1000; values above 1000 will be coerced to 1000. |
pageToken |
Optional. The |
filter |
Optional. Expression for filtering results. |
orderBy |
Optional. Sort results by a defined order. |
Request body
The request body must be empty.
Response body
Response message for [tokenAuthUsers.list][].
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"tokenAuthUsers": [
{
object ( |
| Fields | |
|---|---|
tokenAuthUsers[] |
A list of token auth users in the project. |
nextPageToken |
Token to retrieve the next page of results, or empty if there are no more results in the list. |
unreachable[] |
Unordered list. Token auth users that could not be reached. |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/redis.read-write
For more information, see the Authentication Overview.